ARV-CAMERA-TEST-0.8(1)

NAME
arv-camera-test-0.8 - manual page for arv-camera-test-0.8 0.8.23

DESCRIPTION

  Usage:

    arv-camera-test-0.8 [OPTION?]

Small utility for basic device checks.

  Help Options:

-?, --help
    Show help options

  Application Options:

-n, --name=<camera_id>
    Camera name

-f, --frequency=<Hz>
    Acquisition frequency

-t, --trigger=<trigger_id>
    External trigger

-o, --software-trigger=<Hz>
    Emit software trigger

-w, --width=<n_pixels>
    Width

-h, --height=<n_pixels>
    Height

--h-binning=<n_pixels>
    Horizontal binning

--v-binning=<n_pixels>
    Vertical binning

-e, --exposure=<time_us>
    Exposure time

-g, --gain=<dB>
    Gain (dB)

-a, --auto
    Auto socket buffer size

--features
    Additional configuration as a space separated list of features

-j, --packet-size-adjustment={never|always|once|on-failure|on-failure-once}
    Packet size adjustment

-r, --no-packet-resend
    No packet resend

-q, --packet-request-ratio=[0..2.0]
    Packet resend request limit as a frame packet ratio

-l, --initial-packet-timeout=<ms>
    Initial packet timeout

-p, --packet-timeout=<ms>
    Packet timeout

-m, --frame-retention=<ms>
    Frame retention

-c, --gv-stream-channel=<id>
    GigEVision stream channel id

-y, --gv-packet-delay=<ns>
    GigEVision packet delay

-i, --gv-packet-size=<n_bytes>
    GigEVision packet size

-s, --usb-mode={sync|async}
    USB device I/O mode

-u, --chunks=<chunk_id>[,<chunk_id>[...]]
    Chunks

--realtime
    Make stream thread realtime

--high-priority
    Make stream thread high priority

--no-packet-socket
    Disable use of packet socket

--register-cache={disable|enable|debug}
    Register cache policy

--range-check={disable|enable|debug}
    Range check policy

--access-check={disable|enable}
    Feature access check policy

-b, --bandwidth-limit=<limit>
    Desired USB3 Vision device bandwidth limit

--duration=<s>
    Test duration (s)

-d, --debug={<category>[:<level>][,...]|help}
    Debug output selection

-v, --version
    Show version

This tool configures a camera and starts video streaming, infinitely unless a duration is given.